
/*******************************************************************************
*
* File minmax.h
*
* Copyright (C) 2010 Martin Luescher
*
* This software is distributed under the terms of the GNU General Public
* License (GPL)
*
*******************************************************************************/

#ifndef ZOLOTAREV_H
#define ZOLOTAREV_H

#ifndef ELLIPTIC_C
extern double ellipticK(double rk);
extern void sncndn(double u,double rk,double *sn,double *cn,double *dn);
#endif

#ifndef ZOLOTAREV_C
extern void zolotarev(int n,double eps,double *A,double *ar,double *delta);
#endif

#endif
